/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysmtree.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.sysmtree.dao.SysMtreeDao;
import com.jeeplus.modules.sysmtree.entity.SysMtree;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 树Service
 * @author 马鹏波
 * @version 2017-10-22
 */
@Service
@Transactional(readOnly = true)
public class SysMtreeService extends CrudService<SysMtreeDao, SysMtree> {

	public SysMtree get(String id) {
		return super.get(id);
	}
	
	public List<SysMtree> findList(SysMtree sysMtree) {
		return super.findList(sysMtree);
	}
	
	public Page<SysMtree> findPage(Page<SysMtree> page, SysMtree sysMtree) {
		return super.findPage(page, sysMtree);
	}
	
	@Transactional(readOnly = false)
	public void save(SysMtree sysMtree) {
		super.save(sysMtree);
	}
	
	@Transactional(readOnly = false)
	public void delete(SysMtree sysMtree) {
		super.delete(sysMtree);
	}
	
	
	
	
}